#ifndef PREFERENCES_H
#define PREFERENCES_H
#include <QString>
#include <QVector>
#define FILENAME 0
#define TIME 1
#define SOUND 2
#define ACCELEROMETER 3
#define ACCELEROMETERSEN 4

class preferences
{
public:
    preferences();
    QString get(int key);
    void set(int key, QString value);

    //Preferences
    QString getSoundFileName();
    void setSoundFileName(QString fileName);

    QString getTime();
    void setTime(QString time);

    bool getStoppBySound();
    void setStoppBySound(bool sound);

    bool getStoppByAccelerometer();
    void setStoppByAccelerometer(bool accelerometer);

    int getSensitivityAccelerometer();
    void setSensitivityAccelerometer(int sensitivity);



private:
    QVector<QString> vector;
    void write();

};

#endif // PREFERENCES_H
